Debian Bug report logs - #465278
linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>

Date: Mon, 11 Feb 2008 16:21:02 UTC

Severity: important

Tags: upstream

Found in versions 2.6.24-2, 2.6.26-13, 2.6.32-1

Fixed in version 2.6.39-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Mon, 11 Feb 2008 17:17:56 +0100
Package: linux-image-2.6.24-1-powerpc
Version: 2.6.24-2
Severity: normal

Hi,

I've been experiencing troubles with the appletouch driver on my iBook
G4 (last series) after resuming from a suspend2ram. With previous kernel
versions (all of them being Debian kernels), it was at least possible to
modprobe -r and modprobe it back, getting back to a functional driver
(even if restarting X was sometimes needed to get back synaptics
features, like tapping). Now, it's no longer possible to reload the
driver:

sudo modprobe -r appletouch
| Feb 11 17:04:48 evy kernel: usbcore: deregistering interface driver appletouch
sudo modprobe appletouch
| Feb 11 17:04:52 evy kernel: drivers/input/mouse/appletouch.c: Could not do mode read request from device (Geyser Raw mode)
| Feb 11 17:04:52 evy kernel: appletouch: probe of 1-2:1.0 failed with error -12
| Feb 11 17:04:52 evy kernel: usbcore: registered new interface driver appletouch

Cheers,

-- 
Cyril Brulebois


-- Package-specific info:
** Version:
Linux version 2.6.24-1-powerpc (Debian 2.6.24-2) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 Thu Jan 31 18:52:10 CET 2008

** Command line:
root=/dev/hda4 ro ramdisk_size=8192 

** Not tainted

** Kernel log:
adb: finished probe task...
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Loading R300 Microcode
eth0: Link is up at 100 Mbps, full-duplex.
eth0: Pause is disabled
eth0: suspending, WakeOnLan disabled
radeonfb (0000:00:10.0): suspending for event: 2...
uninorth-agp: disabling AGP on device 0000:00:10.0
uninorth-agp: disabling AGP on bridge 0000:00:0b.0
radeonfb (0000:00:10.0): resuming from state: 2...
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
PCI: Enabling device 0001:10:12.0 (0000 -> 0002)
PM: Writing back config space on device 0001:10:12.0 at offset 4 (was 0, writing 80084000)
PM: Writing back config space on device 0001:10:12.0 at offset 3 (was 0, writing 1000)
PM: Writing back config space on device 0001:10:12.0 at offset 1 (was 2, writing 6)
PCI: Enabling device 0001:10:1b.0 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.1 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.2 (0000 -> 0002)
PM: Writing back config space on device 0001:10:1b.2 at offset 1 (was 2100006, writing 2100016)
eth0: resuming
PHY ID: 4061e4, addr: 0
hda: host max PIO4 wanted PIO255(auto-tune) selected PIO4
hda: UDMA/100 mode selected
hdc: host max PIO4 wanted PIO255(auto-tune) selected PIO4
hdc: MWDMA2 mode selected
adb: starting probe task...
adb devices: [2]: 2 c3 [7]: 7 1f
ADB keyboard at 2, handler 1
adb: finished probe task...
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Loading R300 Microcode
eth0: Link is up at 100 Mbps, full-duplex.
eth0: Pause is disabled
eth0: suspending, WakeOnLan disabled
radeonfb (0000:00:10.0): suspending for event: 2...
uninorth-agp: disabling AGP on device 0000:00:10.0
uninorth-agp: disabling AGP on bridge 0000:00:0b.0
radeonfb (0000:00:10.0): resuming from state: 2...
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
PCI: Enabling device 0001:10:12.0 (0000 -> 0002)
PM: Writing back config space on device 0001:10:12.0 at offset 4 (was 0, writing 80084000)
PM: Writing back config space on device 0001:10:12.0 at offset 3 (was 0, writing 1000)
PM: Writing back config space on device 0001:10:12.0 at offset 1 (was 2, writing 6)
PCI: Enabling device 0001:10:1b.0 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.1 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.2 (0000 -> 0002)
PM: Writing back config space on device 0001:10:1b.2 at offset 1 (was 2100006, writing 2100016)
eth0: resuming
PHY ID: 4061e4, addr: 0
hda: host max PIO4 wanted PIO255(auto-tune) selected PIO4
hda: UDMA/100 mode selected
hdc: host max PIO4 wanted PIO255(auto-tune) selected PIO4
hdc: MWDMA2 mode selected
adb: starting probe task...
adb devices: [2]: 2 c3 [7]: 7 1f
ADB keyboard at 2, handler 1
adb: finished probe task...
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Loading R300 Microcode
eth0: Link is up at 100 Mbps, full-duplex.
eth0: Pause is disabled
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Loading R300 Microcode
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
usbcore: deregistering interface driver appletouch
input: appletouch disconnected
drivers/input/mouse/appletouch.c: Could not do mode read request from device (Geyser Raw mode)
appletouch: probe of 1-2:1.0 failed with error -12
usbcore: registered new interface driver appletouch
usbcore: deregistering interface driver appletouch
drivers/input/mouse/appletouch.c: Could not do mode read request from device (Geyser Raw mode)
appletouch: probe of 1-2:1.0 failed with error -12
usbcore: registered new interface driver appletouch
agpgart: Putting AGP V2 device at 0000:00:0b.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:00:10.0 into 1x mode
[drm] Loading R300 Microcode
usb 3-1: new low speed USB device using ohci_hcd and address 2
usb 3-1: configuration #1 chosen from 1 choice
input: Logitech USB-PS/2 Optical Mouse as /class/input/input7
input,hidraw2: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0001:10:1b.1-1

** Loaded modules:
Module                  Size  Used by
cpufreq_powersave       1824  1 
appletouch             11360  0 
radeon                142440  2 
drm                    90584  3 radeon
tun                    13376  2 
nfs                   294856  0 
lockd                  77752  1 nfs
nfs_acl                 4032  1 nfs
sunrpc                213516  5 nfs,lockd,nfs_acl
ipv6                  295860  16 
dm_snapshot            21184  0 
dm_mirror              25728  0 
dm_mod                 70180  2 dm_snapshot,dm_mirror
cpufreq_userspace       4760  0 
cpufreq_stats           5956  0 
therm_adt746x          13612  0 
sr_mod                 20644  0 
snd_powermac           48416  0 
firewire_sbp2          16492  0 
scsi_mod              187764  2 sr_mod,firewire_sbp2
snd_aoa_codec_tas      15168  2 
snd_aoa_fabric_layout    13864  4 
joydev                 13696  0 
snd_aoa                21056  2 snd_aoa_codec_tas,snd_aoa_fabric_layout
arc4                    1984  2 
ecb                     4064  2 
blkcipher               8388  1 ecb
snd_aoa_i2sbus         24388  1 
snd_pcm                92100  3 snd_powermac,snd_aoa_i2sbus
snd_timer              26180  2 snd_pcm
snd_page_alloc         11912  1 snd_pcm
snd                    67668  13 snd_powermac,snd_aoa_codec_tas,snd_aoa_fabric_layout,snd_aoa,snd_aoa_i2sbus,snd_pcm,snd_timer
soundcore               8900  1 snd
snd_aoa_soundbus        7620  2 snd_aoa_fabric_layout,snd_aoa_i2sbus
b43                   127328  0 
rfkill                  9008  1 b43
mac80211              143486  1 b43
cfg80211               16688  1 mac80211
uninorth_agp           11692  1 
agpgart                40156  2 drm,uninorth_agp
input_polldev           5832  1 b43
evdev                  13984  11 
ext3                  156328  2 
jbd                    56212  1 ext3
mbcache                 9568  1 ext3
sungem                 35268  0 
sungem_phy             12928  1 sungem
firewire_ohci          22464  0 
firewire_core          49912  2 firewire_sbp2,firewire_ohci
crc_itu_t               2112  1 firewire_core
ide_disk               18816  4 
ehci_hcd               38892  0 
usbhid                 49252  0 
hid                    44036  1 usbhid
ff_memless              6184  1 usbhid
ide_cd                 47108  0 
cdrom                  42812  2 sr_mod,ide_cd
ssb                    40132  1 b43
pcmcia                 45872  2 b43,ssb
pcmcia_core            46904  2 b43,pcmcia
firmware_class         11104  2 b43,pcmcia
i2c_powermac            5984  0 

** PCI devices:
0000:00:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 AGP [106b:0034]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 16, Cache Line Size: 32 bytes
	Capabilities: <access denied>

0000:00:10.0 VGA compatible controller [0300]: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56] (rev 80) (prog-if 00 [VGA])
	Subsystem: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 255 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 48
	Region 0: Memory at 98000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 0400 [size=256]
	Region 2: Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at f1000000 [disabled] [size=128K]
	Capabilities: <access denied>

0001:10:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 PCI [106b:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 16, Cache Line Size: 32 bytes

0001:10:12.0 Network controller [0280]: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller [14e4:4318] (rev 02)
	Subsystem: Apple Computer Inc. Unknown device [106b:4318]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at 80084000 (32-bit, non-prefetchable) [size=8K]

0001:10:17.0 Unknown class [ff00]: Apple Computer Inc. KeyLargo/Intrepid Mac I/O [106b:003e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16, Cache Line Size: 32 bytes
	Region 0: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]

0001:10:18.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 27

0001:10:19.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 28

0001:10:1a.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16 (750ns min, 21500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at 80083000 (32-bit, non-prefetchable) [size=4K]

0001:10:1b.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 63
	Region 0: Memory at 80082000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

0001:10:1b.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 63
	Region 0: Memory at 80081000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

0001:10:1b.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04) (prog-if 20 [EHCI])
	Subsystem: NEC Corporation USB 2.0 [1033:00e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 16 (4000ns min, 8500ns max), Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 63
	Region 0: Memory at 80080000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

0002:20:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 Internal PCI [106b:0036]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 16, Cache Line Size: 32 bytes

0002:20:0d.0 Unknown class [ff00]: Apple Computer Inc. UniNorth/Intrepid ATA/100 [106b:003b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin ? routed to IRQ 39
	Region 0: Memory at f5004000 (32-bit, non-prefetchable) [size=16K]

0002:20:0e.0 FireWire (IEEE 1394) [0c00]: Apple Computer Inc. UniNorth 2 FireWire [106b:0031] (rev 81) (prog-if 10 [OHCI])
	Subsystem: Apple Computer Inc. iBook G4 2004 [106b:5811]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (3000ns min, 6000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

0002:20:0f.0 Ethernet controller [0200]: Apple Computer Inc. UniNorth 2 GMAC (Sun GEM) [106b:0032] (rev 80)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR+
	Latency: 16 (16000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: Memory at f5200000 (32-bit, non-prefetchable) [size=2M]
	Expansion ROM at f5100000 [disabled] [size=1M]



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-powerpc depends on:
ii  debconf [debconf-2.0]        1.5.17      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.91c       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

linux-image-2.6.24-1-powerpc recommends no packages.

-- debconf information:
  linux-image-2.6.24-1-powerpc/postinst/bootloader-test-error-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/postinst/depmod-error-2.6.24-1-powerpc: false
  linux-image-2.6.24-1-powerpc/preinst/lilo-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/prerm/removing-running-kernel-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/initrd-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/preinst/overwriting-modules-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-initrd-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/elilo-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/abort-overwrite-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/preinst/bootloader-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/lilo-has-ramdisk:
  linux-image-2.6.24-1-powerpc/preinst/abort-install-2.6.24-1-powerpc:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.24-1-powerpc/preinst/failed-to-move-modules-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/postinst/create-kimage-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-dir-initrd-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/prerm/would-invalidate-boot-loader-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-system-map-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/depmod-error-initrd-2.6.24-1-powerpc: false
  linux-image-2.6.24-1-powerpc/postinst/kimage-is-a-directory:
  linux-image-2.6.24-1-powerpc/postinst/bootloader-error-2.6.24-1-powerpc:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 465278@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Tue, 12 Feb 2008 01:52:16 +0100
On Mon, 11 Feb 2008, Cyril Brulebois wrote:

> Package: linux-image-2.6.24-1-powerpc
> Version: 2.6.24-2
> Severity: normal
> 
> I've been experiencing troubles with the appletouch driver on my iBook
> G4 (last series) after resuming from a suspend2ram. With previous kernel
> versions (all of them being Debian kernels), it was at least possible to
> modprobe -r and modprobe it back, getting back to a functional driver
> (even if restarting X was sometimes needed to get back synaptics
> features, like tapping). Now, it's no longer possible to reload the
> driver:

can you please test 2.6.24-4 it had some usb stable fixes,
along important security.

thanks for feedback.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 465278@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: maximilian attems <max@stro.at>
Cc: 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Tue, 12 Feb 2008 17:41:54 +0100
[Message part 1 (text/plain, inline)]
On 12/02/2008, maximilian attems wrote:
> can you please test 2.6.24-4 it had some usb stable fixes, along
> important security.

I knew about the security fixes, but the appletouch/usb bug is still
here, reproducible upon the first suspend/resume test, with the very
same error message.

Cheers,

-- 
Cyril Brulebois

PS: Sending again, the bounce didn't reach the BTS either, sorry for
    possible duplicates.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to "Mark Purcell" <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 465278@bugs.debian.org (full text, mbox):

From: "Mark Purcell" <msp@debian.org>
To: <465278@bugs.debian.org>
Cc: <465278-submitter@bugs.debian.org>
Subject: Re: appletouch: probe of 1-2:1.0 failed with error -12
Date: Sun, 24 Feb 2008 20:41:00 +1100 (EST)
[Message part 1 (text/plain, inline)]
Version: 2.6.24-4

I too am seeing this error on resume:

Feb 18 11:41:44 ibook kernel: usbcore: deregistering interface driver
appletouchFeb 18 11:41:44 ibook kernel: input: appletouch disconnected
Feb 18 11:41:47 ibook kernel: drivers/input/mouse/appletouch.c: Could not
do mode read request from device (Geyser Raw mode)Feb 18 11:41:47 ibook kernel: appletouch: probe of 1-2:1.0 failed with
error -12Feb 18 11:41:47 ibook kernel: usbcore: registered new interface driver
appletouch
The last kernel version which resumes correctly for me is
2.6.18.dfsg.1-13etch5.
On the positive front the 2.6.24 kernels provide the b43 which provides
more robust wireless with signal levels being reported, but the system
doesn't resume correctly.
The 2.6.18 kernels provide the legacy b43xxx wireless which is functional,
but reports 100% signal strength, so you don't know when you are getting
close to the edge, but does resume correctly.
I'm happy to test any experimental kernels to help debug.

Mark

[b43-info (text/plain, attachment)]

Message sent on to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#465278. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 465278@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: maximilian attems <max@stro.at>
Cc: 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Fri, 29 Feb 2008 10:37:52 +0100
[Message part 1 (text/plain, inline)]
On 12/02/2008, maximilian attems wrote:
> can you please test 2.6.24-4 it had some usb stable fixes, along
> important security.

Not any better. I've also updated to 2.6.25-rc2-powerpc, which gave
some nice resumes, but I've just got a failure again.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 465278@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Tue, 4 Mar 2008 15:40:36 +0100
On Fri, 29 Feb 2008, Cyril Brulebois wrote:

> On 12/02/2008, maximilian attems wrote:
> > can you please test 2.6.24-4 it had some usb stable fixes, along
> > important security.
> 
> Not any better. I've also updated to 2.6.25-rc2-powerpc, which gave
> some nice resumes, but I've just got a failure again.

how about 2.6.25-rc3 ?

available since some days..

if not please file in bugzilla.kernel.org with info which was last working
kernel.
 

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 465278@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: maximilian attems <max@stro.at>
Cc: 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Sun, 09 Mar 2008 14:56:29 +0100
[Message part 1 (text/plain, inline)]
On 04/03/2008, maximilian attems wrote:
> how about 2.6.25-rc3 ?
> available since some days..

I sent a message to the BR when it went out. Maybe eaten somewhere?

Anyway, failure on the first suspend/resume attempt.

> if not please file in bugzilla.kernel.org with info which was last
> working kernel.

No idea which one that was (as I said, I think all 2.6.2* were
affected), but will do.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 465278@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: 465278@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Sun, 9 Mar 2008 21:20:33 +0100
On Sun, 09 Mar 2008, Cyril Brulebois wrote:

> On 04/03/2008, maximilian attems wrote:
> > how about 2.6.25-rc3 ?
> > available since some days..
> 
> I sent a message to the BR when it went out. Maybe eaten somewhere?
> 
> Anyway, failure on the first suspend/resume attempt.

tomorrows rc4 build should be golden!?
well lets assume for now :)
 
> > if not please file in bugzilla.kernel.org with info which was last
> > working kernel.
> 
> No idea which one that was (as I said, I think all 2.6.2* were
> affected), but will do.

hmm than it is a cool idea to cc benh he is still quite active
on ppc..


amicalement




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 465278@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-powerpc@lists.debian.org
Cc: 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 10:45:30 +0100
On Fri, Mar 28, 2008 at 09:54:15AM +0100, Francesco Pedrini wrote:
> On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > Hello,
> >
> > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > repositories for my iBook G4 (summer 2005). Generally, it works very
> > well (it did fix several bugs that I was suffering till now), but I
> > mouse support after suspension doesn't.
> >
> > After suspending the system (e.g. by closing the lid) it resumes
> > correctly, but the mouse is useless. It won't move or receive any
> > clicks, and restarting X doesn't help. I have to do a full system
> > restart for the mouse to work again.

I also see this occasionally. It does not happen on every suspend/resume
cycle. But for me it's always enogh to just rmmod and modprobe
appletouch. Just switch to a text console with ctrl-alt-f1, login as
root and type "rmmod appletouch ; modprobe appletouch".

My machine is a powerbook5,8 and I'm using 2.6.25-rc7 (self compiled).

Gaudenz

> >
> > I'd like to fix this issue because it is quite important, since not
> > even restarting the X will help. Perhaps it is a matter of modules
> > that don't get reloaded after suspension?
> 
> There is an opened bug on this [1], but nothing seems to move.
> I've the same problem and it is really annoying have to poweroff the 
> laptop even for the few minutes needed to move from a place to 
> another...
> 
> I've investigated a bit with google, and i was able to find a change in 
> the appletouch driver relative to the 'Geyser mode' [2], but i don't 
> know if that change is the responsible of the bug.
> Unfortunately i don't have the time to investigate with git bisect.
> I've also tried the 2.6.25 from the kernel-team repository and the bug 
> is still there...
> 
> I hope that Johannes Berg is reading us and can fix it soon ;))
> (Johannes, thanks for your work, really ;))
> 
> 
> Regards,
> Francesco
> 
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465278
> [2] 
> http://www.linuxhq.com/kernel/v2.6/24/drivers/input/mouse/appletouch.c
> -- 
> :wq
> 

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ths@networkno.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 465278@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ths@networkno.de>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Bug#465278: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 11:53:58 +0000
Gaudenz Steinlin wrote:
> On Fri, Mar 28, 2008 at 09:54:15AM +0100, Francesco Pedrini wrote:
> > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > Hello,
> > >
> > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > well (it did fix several bugs that I was suffering till now), but I
> > > mouse support after suspension doesn't.
> > >
> > > After suspending the system (e.g. by closing the lid) it resumes
> > > correctly, but the mouse is useless. It won't move or receive any
> > > clicks, and restarting X doesn't help. I have to do a full system
> > > restart for the mouse to work again.
> 
> I also see this occasionally. It does not happen on every suspend/resume
> cycle. But for me it's always enogh to just rmmod and modprobe
> appletouch. Just switch to a text console with ctrl-alt-f1, login as
> root and type "rmmod appletouch ; modprobe appletouch".
> 
> My machine is a powerbook5,8 and I'm using 2.6.25-rc7 (self compiled).

I see the same on my iBook G4 with Debian's 2.6.24-4, however, re-loading
appletouch does not work for me.


Thiemo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Thomas Constans <thomas.constans@opendoor.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #58 received at 465278@bugs.debian.org (full text, mbox):

From: Thomas Constans <thomas.constans@opendoor.fr>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Cc: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 13:07:53 +0100
Le vendredi 28 mars 2008 à 10:45 +0100, Gaudenz Steinlin a écrit :

> I also see this occasionally. It does not happen on every suspend/resume
> cycle. But for me it's always enogh to just rmmod and modprobe
> appletouch. Just switch to a text console with ctrl-alt-f1, login as
> root and type "rmmod appletouch ; modprobe appletouch".
> 
> My machine is a powerbook5,8 and I'm using 2.6.25-rc7 (self compiled).

I also experience this on my up-to-date sid, ibook g14 12"

I am *not* sure it is related to suspend / resume, but it may.

Sometimes, my mouse is stuck, though some kind of event (click, move
event) are still sent to x server.

If i modprobe -r appletouch && modprobe appletouch, i an get back
correct *basic* mouse movement. synaptic related stuff are gone.

Strangest stuff is this: if i switch to console, then back to x, i get
my synaptic stuff ( finger scroll, tap to click, etc.) back.

So i think it is related to synaptic driver.

I use a custom compiled 2.6.24

Regards


-- 
Thomas Constans
openDoor
06 23 37 87 85
09 71 73 91 75





Message sent on to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#465278. Full text and rfc822 format available.

Message #61 received at 465278-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-powerpc@lists.debian.org
Cc: 465278-submitter@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 13:46:34 +0100
On Fri, Mar 28, 2008 at 01:07:53PM +0100, Thomas Constans wrote:
> 
> Le vendredi 28 mars 2008 à 10:45 +0100, Gaudenz Steinlin a écrit :
> 
> > I also see this occasionally. It does not happen on every suspend/resume
> > cycle. But for me it's always enogh to just rmmod and modprobe
> > appletouch. Just switch to a text console with ctrl-alt-f1, login as
> > root and type "rmmod appletouch ; modprobe appletouch".
> > 
> > My machine is a powerbook5,8 and I'm using 2.6.25-rc7 (self compiled).
> 
> I also experience this on my up-to-date sid, ibook g14 12"
> 
> I am *not* sure it is related to suspend / resume, but it may.

I always thought it to be related, but I'm not 100% sure. I often notice
it later because I'm primarily using a bluetooth mouse. It could be that
the mouse was already stuck before going to suspend and I only noticed
it after resume when being "on the road" without my bluetooth mouse.

> 
> Sometimes, my mouse is stuck, though some kind of event (click, move
> event) are still sent to x server.

I'll have to check this next time it happends. Did you test this with
xev or how do you know that events still go to the x server?

> 
> If i modprobe -r appletouch && modprobe appletouch, i an get back
> correct *basic* mouse movement. synaptic related stuff are gone.
> 
> Strangest stuff is this: if i switch to console, then back to x, i get
> my synaptic stuff ( finger scroll, tap to click, etc.) back.

I can confirm this. Did not notice it before. 

> 
> So i think it is related to synaptic driver.

me too, though I'm not sure if there aren't two unrelated bugs. One in
the synaptic driver and one related to suspend/resume. The original bug
reporter should do some tests to check this (CCed).


Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 465278@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 13:50:01 +0100
On Fri, Mar 28 2008, at 10:45 +0100, Gaudenz Steinlin wrote:
> > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > Hello,
> > >
> > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > well (it did fix several bugs that I was suffering till now), but I
> > > mouse support after suspension doesn't.
> > >
> > > After suspending the system (e.g. by closing the lid) it resumes
> > > correctly, but the mouse is useless. It won't move or receive any
> > > clicks, and restarting X doesn't help. I have to do a full system
> > > restart for the mouse to work again.
> 
> I also see this occasionally. 


I never (knocking on wood :) saw that with this version (seen via 
'git describe'):

v2.6.25-rc3-81-g7704a8b

It works both on a Powerbook5,8 and on an old TiBook - and the version
above has an additional patch applied. The patch - from Ben - is here:

http://patchwork.ozlabs.org/linuxppc/patch?order=state&id=17107

This kernel works like a charm here since about 4 weeks on a
PowerBook5,8 and, since a few days, on the tibook. Both computers with
a - in the meantime - relatively fresh unstable system.

I've uploaded this kernel quite some time ago to rapidshare:
<http://rapidshare.com/files/96992135/linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch_2008.02.29_powerpc.deb.html>
md5sum: 7a7613e0c52e179acf7caacaa3890901

Please have a look at the .config before installing - this kernel is
heavily modularized.

My /etc/modules file (I believe lm75 is useless in there - might be
worth to be removed from it ... :):

----------------------------------
# /etc/modules: kernel modules to load at boot time.
#
# This file contains the names of kernel modules that should be loaded
# at boot time, one per line. Lines beginning with "#" are ignored.

apm_emu
ide-cd
#ide-disk
#ide-generic
sbp2
i2c-powermac
#snd-powermac

#snd-aoa:
#soundbus
#i2sbus
#snd-aoa
#snd-aoa-fabric-layout
#snd-aoa-codec-onyx
# End snd-aoa

cpufreq_performance
cpufreq_powersave
cpufreq_ondemand
sr_mod
therm_adt746x limit_adjust=-3
lm75

----------------------------------

IIRC:

Please note that dpkg upon install might complain about a missing
source dir (linked to from /lib/modules) - at least on the tibook -
where this dir is missing - this wasn't a problem ..)

Best Regards
Wolfgang
-- 
http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 465278@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 13:55:12 +0100
On Fri, Mar 28 2008, at 13:50 +0100, Wolfgang Pfeiffer wrote:
> 
> I've uploaded this kernel quite some time ago to rapidshare:
> <http://rapidshare.com/files/96992135/linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch_2008.02.29_powerpc.deb.html>
> md5sum: 7a7613e0c52e179acf7caacaa3890901
> 
> Please have a look at the .config before installing - this kernel is
> heavily modularized.
> 
> My /etc/modules file (I believe lm75 is useless in there - might be
> worth to be removed from it ... :):
> 
> ----------------------------------
> # /etc/modules: kernel modules to load at boot time.
> #
> # [ ... ]


... and the modules file is installed to the Powerbook5,8 (tibook's
not up, so I can't see right now ..)

Regards
Wolfgang
-- 
http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 465278@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 14:15:56 +0100
On Fri, Mar 28, 2008 at 01:50:01PM +0100, Wolfgang Pfeiffer wrote:
> On Fri, Mar 28 2008, at 10:45 +0100, Gaudenz Steinlin wrote:
> > > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > > Hello,
> > > >
> > > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > > well (it did fix several bugs that I was suffering till now), but I
> > > > mouse support after suspension doesn't.
> > > >
> > > > After suspending the system (e.g. by closing the lid) it resumes
> > > > correctly, but the mouse is useless. It won't move or receive any
> > > > clicks, and restarting X doesn't help. I have to do a full system
> > > > restart for the mouse to work again.
> > 
> > I also see this occasionally. 
> 
> 
> I never (knocking on wood :) saw that with this version (seen via 
> 'git describe'):

Do you mean that you saw it with other kernel versions or did you never
experience this bug? Do you use the synaptics driver in X? What version
of xserver-xorg-input-synaptics do you have installed? Can you post the
relevant bits of your xorg.conf?

I have xserver-xorg-input-synaptics 0.14.7~git20070706-2 and this is my
config:


Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard_._Trackpad-mouse"
#	Option		"Protocol"		"auto-dev"
	Option          "LeftEdge"              "0"
	Option          "RightEdge"             "850"
	Option          "TopEdge"               "0"
	Option          "BottomEdge"            "645"
	Option          "MinSpeed"              "0.4"
	Option          "MaxSpeed"              "1"
	Option          "AccelFactor"           "0.02"
	Option          "FingerLow"             "0"
	Option          "FingerHigh"            "30"
	Option          "MaxTapMove"            "20"
	Option          "MaxTapTime"            "100"
	Option          "HorizScrollDelta"      "0"
	Option          "VertScrollDelta"       "20"
	Option		"VertTwoFingerScroll"	"1"
	Option          "SHMConfig"             "on"
EndSection

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 465278@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 14:27:09 +0100
On Fri, Mar 28 2008, at 13:50 +0100, Wolfgang Pfeiffer wrote:
> On Fri, Mar 28 2008, at 10:45 +0100, Gaudenz Steinlin wrote:
> > > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > > Hello,
> > > >
> > > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > > well (it did fix several bugs that I was suffering till now), but I
> > > > mouse support after suspension doesn't.
> > > >
> > > > After suspending the system (e.g. by closing the lid) it resumes
> > > > correctly, but the mouse is useless. It won't move or receive any
> > > > clicks, and restarting X doesn't help. I have to do a full system
> > > > restart for the mouse to work again.
> > 
> > I also see this occasionally. 
> 
> 
> I never (knocking on wood :) saw that with this version (seen via 
> 'git describe'):
> 
> v2.6.25-rc3-81-g7704a8b
> 
> It works both on a Powerbook5,8 and on an old TiBook - and the version
> above has an additional patch applied. The patch - from Ben - is here:
> 
> http://patchwork.ozlabs.org/linuxppc/patch?order=state&id=17107
> 
> This kernel works like a charm here since about 4 weeks on a
> PowerBook5,8 and, since a few days, on the tibook. Both computers with
> a - in the meantime - relatively fresh unstable system.
> 
> I've uploaded this kernel quite some time ago to rapidshare:
> <http://rapidshare.com/files/96992135/linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch_2008.02.29_powerpc.deb.html>
> md5sum: 7a7613e0c52e179acf7caacaa3890901

Blast: I gave you the URL to the wrong kernel. Don't try that one above. My apologies.

Here is the correct one:
<http://rapidshare.com/files/103023740/linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch_2008.03.06_powerpc.deb.html>
md5sum:37732ce4d345bd5b4ef7b74cdc475c16

$ dpkg -l | grep 2.6.25-rc3
ii  linux-image-2.6.25-rc3-g7704a8b-with-ben.s-pmu-patch  2008.03.06    Linux kernel binary image for version 2.6.25

Sorry again
Wolfgang

-- 
http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #86 received at 465278@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 15:11:13 +0100
On Fri, Mar 28 2008, at 14:15 +0100, Gaudenz Steinlin wrote:
> On Fri, Mar 28, 2008 at 01:50:01PM +0100, Wolfgang Pfeiffer wrote:
> > On Fri, Mar 28 2008, at 10:45 +0100, Gaudenz Steinlin wrote:
> > > > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > > > Hello,
> > > > >
> > > > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > > > well (it did fix several bugs that I was suffering till now), but I
> > > > > mouse support after suspension doesn't.
> > > > >
> > > > > After suspending the system (e.g. by closing the lid) it resumes
> > > > > correctly, but the mouse is useless. It won't move or receive any
> > > > > clicks, and restarting X doesn't help. I have to do a full system
> > > > > restart for the mouse to work again.
> > > 
> > > I also see this occasionally. 
> > 
> > 
> > I never (knocking on wood :) saw that with this version (seen via 
> > 'git describe'):
> 
> Do you mean that you saw it with other kernel versions 


No .. only my mouse disappeared until a few weeks ago from the
console ... I think it had to with this screen cloning routines
(xrandr, etc. ...). something like

/etc/init.d/gpm restart

fixed that, IIRC ...

But I just tested this: Even this little annoyance - that is, gpm gone
- seems being fixed ...

> or did you never experience this bug? 

Clearly no: I don't remember having had this bug, that is, like, the
mouse on X disappearing/being useless, or even the need to reboot for
the mouse to work again, etc....

Oh, just in case it's important: I'm using one of these modern 32 RGB
(? is it a 32 RGB mouse ?) mouses, to fix that
x-mouse-pointer-is-destroyed issue: On KDE, I have the "KDE Classic
Icon Theme" for the X mouse pointer running ...

> Do you use the synaptics driver in X? 

Seems so, yes:

---------------------------------------------------------
$ grep -i synap /var/log/Xorg.0.log
(**) |-->Input Device "Synaptics Touchpad"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
(II) Synaptics touchpad driver version 0.14.6 (1406)
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(**) Synaptics Touchpad: always reports core events
(II) evaluating device (Synaptics Touchpad)
(II) XINPUT: Adding extended input device "Synaptics Touchpad" (type: MOUSE)
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event2
(--) Synaptics Touchpad touchpad found
-------------------------------------------------------

> What version of xserver-xorg-input-synaptics do you have installed?


dpkg -l xserver-xorg-input-synaptics

[ .. ]
ii  xserver-xorg-input-synaptics    0.14.7~git20070706-2   
Synaptics TouchPad driver for X.Org/XFree86 server

(dpkg output above edited for better readability)

> Can you post the relevant bits of your xorg.conf?

The whole file, just in case (with comments removed at the start of it):

-------------------------------
# [ ... ]

Section "Files"
	
	# see http://wiki.debian.org/Xorg69To7:
	# FontPath	"unix/:7100"			# local font server
	# if the local font server has problems, we can fall back on these
	FontPath	"/usr/share/fonts/X11/misc"
#	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/share/fonts/X11/Type1"
#	FontPath	"/usr/share/fonts/X11/CID"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/share/fonts/X11/100dpi:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi:unscaled"
#	FontPath	"/usr/share/fonts/truetype"
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"v4l"
	Load	"vbe"
	Load	"evdev"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"macintosh"
	Option		"XkbLayout"	"de"
	Option		"XkbVariant"	"nodeadkeys"
	Option		"XkbOptions"	"lv3:lwin_switch"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"false"
	Option		"ZAxisMapping"		"4 5"
EndSection
Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"SendCoreEvents"	"true"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"auto-dev"
	Option		"LeftEdge"		"0"
	Option		"RightEdge"		"850"
	Option		"TopEdge"		"0"
	Option		"BottomEdge"		"645"
	Option		"MinSpeed"		"0.4"
	Option		"MaxSpeed"		"1"
	Option		"AccelFactor"		"0.02"
	Option		"FingerLow"		"55"
	Option		"FingerHigh"		"60"
	Option		"MaxTapMove"		"20"
	Option		"MaxTapTime"		"100"
	Option		"HorizScrollDelta"	"0"
	Option		"VertScrollDelta"	"30"
	Option		"SHMConfig"		"on"
EndSection

Section "Device"
	Identifier	"ATI Technologies, Inc. Radeon R250 Lf [FireGL 9000]"
	Driver		"ati"
	BusID		"PCI:0:16:0"
	Option		"MacModel"		"powerbook"
	Option		"UseFBDev"		"true"
        Option		"AGPSize" "16"
        Option		"AGPMode" "4"
        Option		"EnablePageFlip"
        Option		"DRIReinit"             "true"
#        Option		"BackingStore"          "True"
EndSection

Section "Monitor"
	Identifier	"Color LCD"
#	DisplaySize	323 216
	DisplaySize	321 214
        Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"ATI Technologies, Inc. Radeon R250 Lf [FireGL 9000]"
	Monitor		"Color LCD"
	DefaultDepth	24
        SubSection "Display"
                Depth           8
                Modes           "1440x960" "1280x800" "1152x720" "1024x768" "1024x640" "800x500" "720x480"
        EndSubSection
        SubSection "Display"
                Depth           16
                Modes           "1440x960" "1280x800" "1152x720" "1024x768" "1024x640" "800x500" "720x480"
        EndSubSection
        SubSection "Display"
                Depth           24
                Modes           "1440x960" "1280x800" "1152x720" "1024x768" "1024x640" "800x500" "720x480"
	Virtual 2720 1024
        EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Synaptics Touchpad"
EndSection

Section "DRI"
	Mode	0666
EndSection

--------------------------------

HTH

Best Regards
Wolfgang


-- 
http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on




Message sent on to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#465278. Full text and rfc822 format available.

Message #89 received at 465278-submitter@bugs.debian.org (full text, mbox):

From: Thomas Constans <thomas.constans@opendoor.fr>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: debian-powerpc@lists.debian.org, 465278-submitter@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 15:11:42 +0100
Le vendredi 28 mars 2008 à 13:46 +0100, Gaudenz Steinlin a écrit :

> 
> I'll have to check this next time it happends. Did you test this with
> xev or how do you know that events still go to the x server?

I think there are some events still going because i can notice scroll
drag / click event , even though the mouse pointer is stuck.

I 'll try xev next time.



-- 
Thomas Constans
openDoor
06 23 37 87 85
09 71 73 91 75





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 465278@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 15:27:38 +0100
On Fri, Mar 28 2008, at 15:11 +0100, Wolfgang Pfeiffer wrote:
> 
> Oh, just in case it's important: I'm using one of these modern 32 RGB
> (? is it a 32 RGB mouse ?) mouses, to fix that

should say: "(? is it a 32 RGB theme ?) cursor themes, to fix that"
                                              
> x-mouse-pointer-is-destroyed issue: On KDE, I have the "KDE Classic
> Icon Theme" for the X mouse pointer running ...
> 

Sorry
Wolfgang

-- 
http://heelsbroke.blogspot.com/
http://keyserver.mine.nu/pks/lookup?search=0xE3037113&fingerprint=on




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Børge Holen <borge@arivene.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 465278@bugs.debian.org (full text, mbox):

From: Børge Holen <borge@arivene.net>
To: debian-powerpc@lists.debian.org, 465278@bugs.debian.org
Subject: Re: Mouse doesn't work on iBook G4 after sleep in Sid
Date: Fri, 28 Mar 2008 16:14:15 +0100
On Friday 28 March 2008 10:45:30 Gaudenz Steinlin wrote:
> On Fri, Mar 28, 2008 at 09:54:15AM +0100, Francesco Pedrini wrote:
> > On Tuesday 25 March 2008, Denís Fernández Cabrera wrote:
> > > Hello,
> > >
> > > I dist-upgraded, last weekend, to the lastest version of Sid on the
> > > repositories for my iBook G4 (summer 2005). Generally, it works very
> > > well (it did fix several bugs that I was suffering till now), but I
> > > mouse support after suspension doesn't.
> > >
> > > After suspending the system (e.g. by closing the lid) it resumes
> > > correctly, but the mouse is useless. It won't move or receive any
> > > clicks, and restarting X doesn't help. I have to do a full system
> > > restart for the mouse to work again.
>
> I also see this occasionally. It does not happen on every suspend/resume
> cycle. But for me it's always enogh to just rmmod and modprobe
> appletouch. Just switch to a text console with ctrl-alt-f1, login as
> root and type "rmmod appletouch ; modprobe appletouch".
>
> My machine is a powerbook5,8 and I'm using 2.6.25-rc7 (self compiled).

PB5,7 much the same.
I can run the deb kernel, witch as we speak now is 2.6.22-3 deb style. It 
works good enought except the bcm43xx requires a strong signal to connect.
2.6.24 vanilla just don't always resume the keyboard, it handles the mouse 
each time, but will not resume keyboard activity. 
Yeah well, this one time I noticed that just after X resumed I could multitask 
to console. Here I could do anything, till I resumed X again. Unable to 
reproduce this.





>
> Gaudenz
>
> > > I'd like to fix this issue because it is quite important, since not
> > > even restarting the X will help. Perhaps it is a matter of modules
> > > that don't get reloaded after suspension?
> >
> > There is an opened bug on this [1], but nothing seems to move.
> > I've the same problem and it is really annoying have to poweroff the
> > laptop even for the few minutes needed to move from a place to
> > another...
> >
> > I've investigated a bit with google, and i was able to find a change in
> > the appletouch driver relative to the 'Geyser mode' [2], but i don't
> > know if that change is the responsible of the bug.
> > Unfortunately i don't have the time to investigate with git bisect.
> > I've also tried the 2.6.25 from the kernel-team repository and the bug
> > is still there...
> >
> > I hope that Johannes Berg is reading us and can fix it soon ;))
> > (Johannes, thanks for your work, really ;))
> >
> >
> > Regards,
> > Francesco
> >
> > [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465278
> > [2]
> > http://www.linuxhq.com/kernel/v2.6/24/drivers/input/mouse/appletouch.c
> > --
> >
> > :wq
>
> --
> Ever tried. Ever failed. No matter.
> Try again. Fail again. Fail better.
> ~ Samuel Beckett ~



-- 
---
Børge Holen
http://www.arivene.net




Information forwarded to debian-bugs-dist@lists.debian.org, 465278-submitter@bugs.debian.org, debian-powerpc@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to 465278-submitter@bugs.debian.org, debian-powerpc@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 465278@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Mouse freeze fixed in linux-2.6 (2.6.24-4)
Date: Sat, 05 Apr 2008 16:43:18 +1100
Package: linux-image-2.6.24-1-powerpc
Followup-For: Bug #465278

I am seeing the mouse freeze issue has gone away with 2.6.24-4.

Anyone else getting the same results.

Mark


-- Package-specific info:
** Version:
Linux version 2.6.24-1-powerpc (Debian 2.6.24-4) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 Mon Feb 11 12:53:42 CET 2008

** Command line:
root=/dev/hda3 ro 

** Not tainted

** Kernel log:
usb 2-1: configuration #1 chosen from 1 choice
cdc_acm 2-1:1.8: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
drivers/usb/class/cdc-acm.c: v0.25:USB Abstract Control Model driver for USB modems and ISDN adapters
usbcore: registered new interface driver cdc_ether
usb 2-1: bad CDC descriptors
usbcore: registered new interface driver rndis_host
usb 2-1: USB disconnect, address 7
usb 2-1: new full speed USB device using ohci_hcd and address 8
usb 2-1: configuration #1 chosen from 1 choice
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 0:0:0:0: Direct-Access     Nokia    S60              1.0  PQ: 0 ANSI: 0
Driver 'sd' needs updating - please use bus_type methods
sd 0:0:0:0: [sda] 996352 512-byte hardware sectors (510 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 03 00 00 00
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] 996352 512-byte hardware sectors (510 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 03 00 00 00
sd 0:0:0:0: [sda] Assuming drive cache: write through
 sda:
sd 0:0:0:0: [sda] Attached SCSI removable disk
usb 2-1: USB disconnect, address 8
usb 2-1: new full speed USB device using ohci_hcd and address 9
usb 2-1: configuration #1 chosen from 1 choice
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 9
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 1:0:0:0: Direct-Access     Nokia    S60              1.0  PQ: 0 ANSI: 0
sd 1:0:0:0: [sda] 996352 512-byte hardware sectors (510 MB)
sd 1:0:0:0: [sda] Write Protect is off
sd 1:0:0:0: [sda] Mode Sense: 03 00 00 00
sd 1:0:0:0: [sda] Assuming drive cache: write through
sd 1:0:0:0: [sda] 996352 512-byte hardware sectors (510 MB)
sd 1:0:0:0: [sda] Write Protect is off
sd 1:0:0:0: [sda] Mode Sense: 03 00 00 00
sd 1:0:0:0: [sda] Assuming drive cache: write through
 sda:
sd 1:0:0:0: [sda] Attached SCSI removable disk
usb 2-1: USB disconnect, address 9
usb 2-1: new full speed USB device using ohci_hcd and address 10
usb 2-1: configuration #1 chosen from 1 choice
cdc_acm 2-1:1.8: ttyACM0: USB ACM device
usb 2-1: bad CDC descriptors
wlan0_rename: deauthenticate(reason=3)
ADDRCONF(NETDEV_UP): eth0: link is not ready
input: b43-phy0 as /class/input/input19
Registered led device: b43-phy0:tx
Registered led device: b43-phy0:rx
Registered led device: b43-phy0:radio
ADDRCONF(NETDEV_UP): wlan0_rename: link is not ready
wlan0_rename: Initial auth_alg=0
wlan0_rename: authenticate with AP 00:13:10:17:be:4d
wlan0_rename: RX authentication from 00:13:10:17:be:4d (alg=0 transaction=2 status=0)
wlan0_rename: authenticated
wlan0_rename: associate with AP 00:13:10:17:be:4d
wlan0_rename: RX AssocResp from 00:13:10:17:be:4d (capab=0x401 status=0 aid=1)
wlan0_rename: associated
wlan0_rename: switched to short barker preamble (BSSID=00:13:10:17:be:4d)
ADDRCONF(NETDEV_CHANGE): wlan0_rename: link becomes ready
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=202.83.82.162 LEN=76 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=123 DPT=123 LEN=56 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=54391 DF PROTO=TCP SPT=38307 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55149 DF PROTO=UDP SPT=59595 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55149 DF PROTO=UDP SPT=49503 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55170 DF PROTO=UDP SPT=60325 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55170 DF PROTO=UDP SPT=49248 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55172 DF PROTO=UDP SPT=39660 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55172 DF PROTO=UDP SPT=44625 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55192 DF PROTO=UDP SPT=55141 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55192 DF PROTO=UDP SPT=59996 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55193 DF PROTO=UDP SPT=47978 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=61 TOS=0x00 PREC=0x00 TTL=64 ID=55193 DF PROTO=UDP SPT=55268 DPT=53 LEN=41 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55214 DF PROTO=UDP SPT=55614 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55214 DF PROTO=UDP SPT=45344 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55214 DF PROTO=UDP SPT=35173 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55214 DF PROTO=UDP SPT=51662 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55226 DF PROTO=UDP SPT=42156 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=80 TOS=0x00 PREC=0x00 TTL=64 ID=55226 DF PROTO=UDP SPT=34533 DPT=53 LEN=60 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=54392 DF PROTO=TCP SPT=38307 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=54393 DF PROTO=TCP SPT=38307 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=202.125.43.135 LEN=76 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=123 DPT=123 LEN=56 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=63299 DF PROTO=TCP SPT=38308 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=63300 DF PROTO=TCP SPT=38308 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=56848 DF PROTO=UDP SPT=39219 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=56848 DF PROTO=UDP SPT=43416 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=56859 DF PROTO=UDP SPT=58166 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=56859 DF PROTO=UDP SPT=34507 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=63301 DF PROTO=TCP SPT=38308 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
wlan0_rename: no IPv6 routers present
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=54394 DF PROTO=TCP SPT=38307 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=202.81.78.134 DST=210.9.136.13 LEN=87 TOS=0x00 PREC=0x00 TTL=64 ID=63302 DF PROTO=TCP SPT=38308 DPT=143 WINDOW=2003 RES=0x00 ACK PSH URGP=0 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=58539 DF PROTO=UDP SPT=52533 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=58539 DF PROTO=UDP SPT=34349 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=203.2.193.67 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=58550 DF PROTO=UDP SPT=40530 DPT=53 LEN=47 
IN= OUT=wlan0_rename SRC=192.168.1.205 DST=202.135.30.4 LEN=67 TOS=0x00 PREC=0x00 TTL=64 ID=58550 DF PROTO=UDP SPT=47371 DPT=53 LEN=47 

** Loaded modules:
Module                  Size  Used by
sd_mod                 32784  0 
rndis_host              7488  0 
cdc_ether               6784  1 rndis_host
cdc_acm                16964  3 
usbnet                 21478  2 rndis_host,cdc_ether
appletouch             11360  0 
tcp_diag                1824  0 
inet_diag              13224  1 tcp_diag
xt_state                2624  1 
ipt_MASQUERADE          3872  1 
ipt_LOG                 6944  7 
iptable_mangle          2944  0 
iptable_filter          3136  1 
iptable_nat             7940  1 
nf_nat                 20568  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      20776  3 iptable_nat
nf_conntrack           77548  5 xt_state,ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4
ip_tables              15080  3 iptable_mangle,iptable_filter,iptable_nat
x_tables               17220  5 xt_state,ipt_MASQUERADE,ipt_LOG,iptable_nat,ip_tables
ppp_async              13344  1 
crc_ccitt               2112  1 ppp_async
ppp_generic            32468  5 ppp_async
slhc                    6944  1 ppp_generic
usb_storage            95080  0 
option                 11392  0 
usbserial              39088  1 option
radeon                142440  2 
drm                    90712  3 radeon
rfkill_input            4800  0 
rfcomm                 45524  3 
l2cap                  25956  9 rfcomm
bluetooth              67916  4 rfcomm,l2cap
lp                     13548  0 
parport                43472  1 lp
ipv6                  295860  35 
cpufreq_ondemand        9544  0 
cpufreq_stats           5956  0 
cpufreq_powersave       1824  1 
cpufreq_userspace       4760  0 
cpufreq_conservative     8864  0 
fuse                   55348  1 
firewire_sbp2          16492  0 
scsi_mod              187764  3 sd_mod,usb_storage,firewire_sbp2
loop                   21444  0 
snd_aoa_codec_tas      15168  2 
snd_aoa_fabric_layout    13864  2 
snd_aoa                21056  2 snd_aoa_codec_tas,snd_aoa_fabric_layout
snd_aoa_i2sbus         24388  1 
snd_powermac           48416  0 
snd_pcm_oss            49216  0 
snd_mixer_oss          20384  1 snd_pcm_oss
joydev                 13696  0 
snd_pcm                92100  3 snd_aoa_i2sbus,snd_powermac,snd_pcm_oss
snd_page_alloc         11912  1 snd_pcm
snd_seq_oss            39700  0 
snd_seq_midi            9600  0 
arc4                    1984  2 
snd_rawmidi            28352  1 snd_seq_midi
ecb                     4064  2 
snd_seq_midi_event      8160  2 snd_seq_oss,snd_seq_midi
blkcipher               8388  1 ecb
snd_seq                61064  5 snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer              26180  2 snd_pcm,snd_seq
snd_seq_device          9452  4 snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd                    67668  17 snd_aoa_codec_tas,snd_aoa_fabric_layout,snd_aoa,snd_aoa_i2sbus,snd_powermac,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore               8900  1 snd
snd_aoa_soundbus        7620  2 snd_aoa_fabric_layout,snd_aoa_i2sbus
b43                   127936  0 
rfkill                  9008  3 rfkill_input,b43
mac80211              143486  1 b43
cfg80211               16688  1 mac80211
input_polldev           5832  1 b43
uninorth_agp           11692  1 
agpgart                40156  2 drm,uninorth_agp
evdev                  13984  15 
ext3                  156328  5 
jbd                    56212  1 ext3
mbcache                 9568  1 ext3
sungem                 35268  0 
firewire_ohci          22464  0 
firewire_core          49912  2 firewire_sbp2,firewire_ohci
crc_itu_t               2112  1 firewire_core
sungem_phy             12928  1 sungem
ide_disk               18816  7 
ehci_hcd               38892  0 
usbhid                 49252  0 
hid                    44036  1 usbhid
ff_memless              6184  1 usbhid
ide_cd                 47108  0 
cdrom                  42812  1 ide_cd
ssb                    40132  1 b43
pcmcia                 45872  2 b43,ssb
pcmcia_core            46904  2 b43,pcmcia
firmware_class         10976  2 b43,pcmcia
i2c_powermac            5984  0 

** PCI devices:
0000:00:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 AGP [106b:0034]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Capabilities: <access denied>
	Kernel driver in use: agpgart-uninorth
	Kernel modules: uninorth-agp

0000:00:10.0 VGA compatible controller [0300]: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56] (rev 80) (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 255 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 48
	Region 0: Memory at 98000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 0400 [size=256]
	Region 2: Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at f1000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeonfb

0001:10:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 PCI [106b:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Kernel modules: uninorth-agp

0001:10:12.0 Network controller [0280]: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller [14e4:4318] (rev 02)
	Subsystem: Apple Computer Inc. Unknown device [106b:4318]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at 80084000 (32-bit, non-prefetchable) [size=8K]
	Kernel driver in use: b43-pci-bridge
	Kernel modules: ssb

0001:10:17.0 Unknown class [ff00]: Apple Computer Inc. KeyLargo/Intrepid Mac I/O [106b:003e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Region 0: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]
	Kernel driver in use: macio

0001:10:18.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 27

0001:10:19.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 28

0001:10:1a.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (750ns min, 21500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at 80083000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

0001:10:1b.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 63
	Region 0: Memory at 80082000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

0001:10:1b.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 63
	Region 0: Memory at 80081000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

0001:10:1b.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04) (prog-if 20 [EHCI])
	Subsystem: NEC Corporation USB 2.0 [1033:00e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (4000ns min, 8500ns max), Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 63
	Region 0: Memory at 80080000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

0002:20:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 Internal PCI [106b:0036]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Kernel modules: uninorth-agp

0002:20:0d.0 Unknown class [ff00]: Apple Computer Inc. UniNorth/Intrepid ATA/100 [106b:003b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin ? routed to IRQ 39
	Region 0: Memory at f5004000 (32-bit, non-prefetchable) [size=16K]
	Kernel driver in use: ide-pmac

0002:20:0e.0 FireWire (IEEE 1394) [0c00]: Apple Computer Inc. UniNorth 2 FireWire [106b:0031] (rev 81) (prog-if 10 [OHCI])
	Subsystem: Apple Computer Inc. iBook G4 2004 [106b:5811]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (3000ns min, 6000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

0002:20:0f.0 Ethernet controller [0200]: Apple Computer Inc. UniNorth 2 GMAC (Sun GEM) [106b:0032] (rev 80)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 16 (16000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: Memory at f5200000 (32-bit, non-prefetchable) [size=2M]
	Expansion ROM at f5100000 [disabled] [size=1M]
	Kernel driver in use: gem
	Kernel modules: sungem



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-powerpc depends on:
ii  debconf [debconf-2.0]        1.5.20      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.91e       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

linux-image-2.6.24-1-powerpc recommends no packages.

-- debconf information:
  linux-image-2.6.24-1-powerpc/postinst/bootloader-test-error-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/postinst/depmod-error-2.6.24-1-powerpc: false
  linux-image-2.6.24-1-powerpc/preinst/lilo-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/prerm/removing-running-kernel-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/initrd-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/preinst/overwriting-modules-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-initrd-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/elilo-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/abort-overwrite-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/preinst/bootloader-initrd-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/preinst/lilo-has-ramdisk:
  linux-image-2.6.24-1-powerpc/preinst/abort-install-2.6.24-1-powerpc:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.24-1-powerpc/preinst/failed-to-move-modules-2.6.24-1-powerpc:
  linux-image-2.6.24-1-powerpc/postinst/create-kimage-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-dir-initrd-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/prerm/would-invalidate-boot-loader-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/old-system-map-link-2.6.24-1-powerpc: true
  linux-image-2.6.24-1-powerpc/postinst/depmod-error-initrd-2.6.24-1-powerpc: false
  linux-image-2.6.24-1-powerpc/postinst/kimage-is-a-directory:
  linux-image-2.6.24-1-powerpc/postinst/bootloader-error-2.6.24-1-powerpc:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Francesco Pedrini <f_pedrini@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 465278@bugs.debian.org (full text, mbox):

From: Francesco Pedrini <f_pedrini@tiscali.it>
To: Mark Purcell <msp@debian.org>, 465278@bugs.debian.org
Subject: Re: Bug#465278: Mouse freeze fixed in linux-2.6 (2.6.24-4)
Date: Sat, 5 Apr 2008 12:33:54 +0200
On Saturday 05 April 2008, Mark Purcell wrote:
> Package: linux-image-2.6.24-1-powerpc
> Followup-For: Bug #465278
>
> I am seeing the mouse freeze issue has gone away with 2.6.24-4.
>
> Anyone else getting the same results.
>
> Mark

I'm using the latest linux-image from unstable, and the bug is still 
here :(

I'm on a PowerBook6,7 (june 2005 iBook 12") that uses the appletouch
driver.

$ uname -r
2.6.24-1-powerpc
$ dpkg -l|grep linux-image-2.6.24
ii  linux-image-2.6.24-1-powerpc  2.6.24-5  Linux 2.6.24 image on 
uniprocessor 32-bit Po

HTH
Francesco

-- 
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Thomas Constans <thomas.constans@opendoor.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 465278@bugs.debian.org (full text, mbox):

From: Thomas Constans <thomas.constans@opendoor.fr>
To: Mark Purcell <msp@debian.org>, 465278@bugs.debian.org
Subject: Re: Bug#465278: Mouse freeze fixed in linux-2.6 (2.6.24-4)
Date: Wed, 09 Apr 2008 07:36:02 +0000
Le samedi 05 avril 2008 à 16:43 +1100, Mark Purcell a écrit :
> Package: linux-image-2.6.24-1-powerpc
> Followup-For: Bug #465278
> 
> I am seeing the mouse freeze issue has gone away with 2.6.24-4.
> 
> Anyone else getting the same results.

I have compiled 2.6.24-4 kernel 3 three days ago. I have not experienced
this bug since.

Regards


-- 
Thomas Constans
openDoor
06 23 37 87 85
09 71 73 91 75





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Thomas Constans <thomas.constans@maison.opendoor.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 465278@bugs.debian.org (full text, mbox):

From: Thomas Constans <thomas.constans@maison.opendoor.fr>
To: debian-powerpc@lists.debian.org
Cc: Mark Purcell <msp@debian.org>, 465278@bugs.debian.org
Subject: Re: Bug#465278: Mouse freeze fixed in linux-2.6 (2.6.24-4)
Date: Wed, 9 Apr 2008 19:31:08 +0200
Le Sat, 05 Apr 2008 16:43:18 +1100,
Mark Purcell <msp@debian.org> a écrit :

> Package: linux-image-2.6.24-1-powerpc
> Followup-For: Bug #465278
> 
> I am seeing the mouse freeze issue has gone away with 2.6.24-4.
> 
> Anyone else getting the same results.
> 
> Mark
> 

Forget my last comment

i just got this **** bug again

( custom 2.6.24-4 )

regards

-- 
Thomas Constans
openDoor
06 23 37 87 85
09 71 73 91 75




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-image-2.6.24-1-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 465278@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: mouse freeze on resume seen in linux-2.6 (2.6.24-5)
Date: Thu, 17 Apr 2008 10:12:34 +1000
Package: linux-image-2.6.24-1-powerpc
Version: 2.6.24-5
Followup-For: Bug #465278


Unfortunatly I'm still seeing the freeze in 2.6.24-5 :-(

Mark

-- Package-specific info:
** Version:
Linux version 2.6.24-1-powerpc (Debian 2.6.24-5) (waldi@debian.org) (gcc version 4.1.3 20080308 (prerelease) (Debian 4.1.2-21)) #1 Thu Mar 27 12:50:52 CET 2008

** Command line:
root=/dev/hda3 ro 

** Not tainted



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-powerpc depends on:
ii  debconf [debconf-2.0]         1.5.20     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92       tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.24-1-powerpc recommends no packages.

-- debconf information excluded




Bug marked as found in version 2.6.25-1. Request was from Ted Percival <ted@midg3t.net> to control@bugs.debian.org. (Mon, 05 May 2008 05:15:02 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2.6.25-1. Request was from Ted Percival <ted@midg3t.net> to control@bugs.debian.org. (Mon, 05 May 2008 05:33:01 GMT) Full text and rfc822 format available.

Bug marked as found in version linux-2.6/2.6.25-1. Request was from Ted Percival <ted@midg3t.net> to control@bugs.debian.org. (Mon, 05 May 2008 05:33:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-image-2.6.24-1-powerpc' to `linux-2.6'. Request was from Ted Percival <ted@midg3t.net> to control@bugs.debian.org. (Sat, 19 Jul 2008 14:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Maarten Verwijs <maarten@verwijs.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at 465278@bugs.debian.org (full text, mbox):

From: Maarten Verwijs <maarten@verwijs.org>
To: 465278@bugs.debian.org
Subject: Re: mouse freeze on resume seen in linux-2.6 (2.6.24-5)
Date: Thu, 14 Aug 2008 13:18:15 +0200
Is this a kernel issue, or an Xorg (Synaptics driver) issue? 

After running into this bug I've downgraded my kernel to the default
Etch one (2.6.18-6). And I still experience this bug. 

The only way to a working trackpad after resuming from suspend is to not
use the Synaptics driver. 

I've tried: 
 - restarting gpm from console
 - switching to console and back
 - rmmod appletouch on suspend and modprobing it after resume

None of these solved the issue. Only not using the synaptics driver
gives me a working trackpad (without all the fancy features, of course).

Regards, 


-- 
Maarten Verwijs | maarten@verwijs.org | http://maarten.verwijs.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 465278@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Maarten Verwijs <maarten@verwijs.org>, 465278@bugs.debian.org
Subject: Re: Bug#465278: mouse freeze on resume seen in linux-2.6 (2.6.24-5)
Date: Thu, 14 Aug 2008 14:16:22 +0200
On Thu, Aug 14, 2008 at 01:18:15PM +0200, Maarten Verwijs wrote:
> Is this a kernel issue, or an Xorg (Synaptics driver) issue? 
> 
> After running into this bug I've downgraded my kernel to the default
> Etch one (2.6.18-6). And I still experience this bug. 
> 
> The only way to a working trackpad after resuming from suspend is to not
> use the Synaptics driver. 
> 
> I've tried: 
>  - restarting gpm from console
>  - switching to console and back
>  - rmmod appletouch on suspend and modprobing it after resume
> 
> None of these solved the issue. Only not using the synaptics driver
> gives me a working trackpad (without all the fancy features, of course).

hey,

2.6.18 is old and there were a *lot* of improvements since
pretty sure this is fixed inbetween. please try at least
2.6.24 etch+half.

resume is not a critical feature so do not expect a lot of interest
against 2.6.18

regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Maarten Verwijs <maarten@verwijs.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #147 received at 465278@bugs.debian.org (full text, mbox):

From: Maarten Verwijs <maarten@verwijs.org>
To: maximilian attems <max@stro.at>
Cc: Maarten Verwijs <maarten@verwijs.org>, 465278@bugs.debian.org
Subject: Re: Bug#465278: mouse freeze on resume seen in linux-2.6 (2.6.24-5)
Date: Thu, 14 Aug 2008 16:11:17 +0200
Hi, 

On Thu, Aug 14, 2008 at 02:16:22PM +0200, maximilian attems wrote:
> On Thu, Aug 14, 2008 at 01:18:15PM +0200, Maarten Verwijs wrote:
> > Is this a kernel issue, or an Xorg (Synaptics driver) issue? 
> > 
> > After running into this bug I've downgraded my kernel to the default
> > Etch one (2.6.18-6). And I still experience this bug. 
> > 
> > The only way to a working trackpad after resuming from suspend is to not
> > use the Synaptics driver. 
> > 
> > I've tried: 
> >  - restarting gpm from console
> >  - switching to console and back
> >  - rmmod appletouch on suspend and modprobing it after resume
> > 
> > None of these solved the issue. Only not using the synaptics driver
> > gives me a working trackpad (without all the fancy features, of course).
> 
> hey,
> 
> 2.6.18 is old and there were a *lot* of improvements since
> pretty sure this is fixed inbetween. please try at least
> 2.6.24 etch+half.

Thanks for replying. 

I guess I've not made myself clear.

I've tried: 

 - 2.6.18
 - 2.6.22
 - 2.6.24
 - 2.6.25
 - 2.6.26

As the newer kernels had been mentioned in the thread above, I thought
it overkill to mention those again. 

When using the synaptics driver, the trackpad-bug appears.

When using the Xorg 'mouse' driver, the trackpad keeps on working.

The culprit would IMHO seem to be the Synaptics driver, NOT the kernel. 

Kindest regards, 


-- 
Maarten Verwijs | maarten@verwijs.org | http://maarten.verwijs.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Wed, 21 Jan 2009 08:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Valiquette <v.simon@ieee.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 21 Jan 2009 08:54:02 GMT) Full text and rfc822 format available.

Message #152 received at 465278@bugs.debian.org (full text, mbox):

From: Simon Valiquette <v.simon@ieee.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Appletouch failure upon resume after suspend2ram
Date: Wed, 21 Jan 2009 03:48:28 -0500
Package: linux-image-2.6-vserver-powerpc
Version: 2.6.26-13
Followup-For: Bug #465278

 After upgrading from Etch to Lenny, I started to get exactly the same
problem than what Cyril Brulebois experienced.

 The laptop I am using is the latest iBook G4.

 The error message I get when I try to add again the appletouch module
is almost identical to this:


| Feb 11 17:04:52 evy kernel: drivers/input/mouse/appletouch.c: Could not do mode read request from device (Geyser Raw mode)
| Feb 11 17:04:52 evy kernel: appletouch: probe of 1-2:1.0 failed with error -12
| Feb 11 17:04:52 evy kernel: usbcore: registered new interface driver appletouch

 except that in my case, I get the error -5 instead of -12:

[45692.025239] appletouch: Could not do mode read request from device (Geyser Raw mode)
[45692.025289] appletouch: probe of 1-2:1.0 failed with error -5
[45692.025347] usbcore: registered new interface driver appletouch


 Just to make things very clear, I don't think that this bug is the
same than the one where removing and adding again the appletouch module
is enough to make the mouse working again.

 The later bug appears quite infrequently, and usually the mouse is still
able to move (even if in an unusable fashion).  Also, from memory the
error messages were very different.

 In the current bug, the mouse don't react anymore even in the text
console and seems to happens systematically once the laptop goes to
suspend mode. Also, it seems that the only way to make it working
again is by rebooting the laptop.


 Some people have mentioned that the problem could be in the package
xserver-xorg-input-synaptics and not in the kernel. Unless he was
talking about the other mouse bug, I am sceptical about it and will
try to reproduce the bug without running the X server at all during
the  boot process and report the result once I have time.

Simon Valiquette
http://gulus.USherbrooke.ca




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Wed, 21 Jan 2009 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Valiquette <v.simon@ieee.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 21 Jan 2009 13:30:04 GMT) Full text and rfc822 format available.

Message #157 received at 465278@bugs.debian.org (full text, mbox):

From: Simon Valiquette <v.simon@ieee.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Re: Appletouch failure upon resume after suspend2ram
Date: Wed, 21 Jan 2009 08:27:34 -0500
Simon Valiquette un jour écrivit:
>
>  Some people have mentioned that the problem could be in the package
> xserver-xorg-input-synaptics and not in the kernel. Unless he was
> talking about the other mouse bug, I am sceptical about it and will
> try to reproduce the bug without running the X server at all during
> the  boot process and report the result once I have time.

  I can now confirm that this bug have nothing to do with 
xserver-xorg-input-synaptics, or xorg for that matter.

  I booted in single user mode and basically have done the following:

/bin/mount -a

/etc/init/udev start
/etc/init/bootmisc.sh start

/etc/init/pmud restart
/etc/init/hibernate restart
/etc/init/gpm start         # to have a working mouse in the console

/usr/sbin/pm-suspend


  And that was more than enough to reliably reproduce this old bug with 
very few running programs.

Simon Valiquette






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Sun, 01 Feb 2009 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Valiquette <v.simon@ieee.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Feb 2009 23:12:04 GMT) Full text and rfc822 format available.

Message #162 received at 465278@bugs.debian.org (full text, mbox):

From: Simon Valiquette <v.simon@ieee.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Re: Appletouch failure upon resume after suspend2ram
Date: Sun, 01 Feb 2009 18:06:37 -0500
Severity: grave


  I am increasing the gravity of this bug, because it makes the apple 
iBook G4 laptop pretty much unusable without an external mouse, and 
because people seems to just ignore this PowerPC specific bug.

  A very easy way to systematicaly reproduce this bug is to close the lid 
(or make it to sleep somehow), and then touch continously the mousepad 
during the wakeup. If you don't touch the trackpad, it might wakeup 
properly (maybe 1 chance on 3 to still have a working mouse).

  I also tried the same with the 2.6.18 kernel, and got similar results 
but with a significant difference: with the 2.6.18 kernel, I can make the 
mouse working again by simply doing "rmmod appletouch" and then "modprobe 
-a appletouch".

 If I use the 2.6.26 kernel instead, I get the already reported following 
errors and the only way I know to make the mouse working again is rebooting.

> [45692.025239] appletouch: Could not do mode read request from device 
(Geyser Raw mode)
> [45692.025289] appletouch: probe of 1-2:1.0 failed with error -5
> [45692.025347] usbcore: registered new interface driver appletouch

  Please note that xserver-xorg-input-synaptics is not even installed, 
and that the bug is reproducible in runlevel 1 with just enough things 
running to be able to put the laptop in sleep mode.


  My guess is that there is 2 bugs involved: a new bug in the appletouch 
driver in the kernel >= 2.6.24 (maybe before) that prevent removing and 
adding again the driver properly in some conditions, and another possibly 
old bug that, for some reasons, showup systematically in Lenny while it 
was seldom appearing in Etch.

  In Etch, you could sometime lost the mouse after a wakeup, but it 
happened maybe just once a month, and since you could just remove and add 
again the driver, it was mostly just a nuisance.


  This bug is really annoying, reducing enough the usability of the iBook 
to make me seriously considering downgrading to Etch or looking at another 
distribution if it fix my problem.


Simon Valiquette





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Sun, 01 Feb 2009 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Feb 2009 23:33:03 GMT) Full text and rfc822 format available.

Message #167 received at 465278@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: control@bugs.debian.org
Cc: 465278@bugs.debian.org
Subject: severity of 465278 is important
Date: Mon, 02 Feb 2009 00:31:39 +0100
# Automatically generated email from bts, devscripts version 2.10.35lenny2
# driver specific bug
severity 465278 important





Severity set to `important' from `normal' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sun, 01 Feb 2009 23:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Mon, 02 Feb 2009 00:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Valiquette <v.simon@ieee.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Feb 2009 00:33:02 GMT) Full text and rfc822 format available.

Message #174 received at 465278@bugs.debian.org (full text, mbox):

From: Simon Valiquette <v.simon@ieee.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Re: Appletouch failure upon resume after suspend2ram
Date: Sun, 01 Feb 2009 19:30:55 -0500
Severity 465278 grave

  By searching a little on mailing lists, I saw that someone reported 
that the problems might be related with this patch, or at least related 
with this part of the code, but nobody seems to have seriously looked at it:

http://www.linuxhq.com/kernel/v2.6/24/drivers/input/mouse/appletouch.c

http://www.mail-archive.com/debian-powerpc@lists.debian.org/msg59480.html


  From the Debian PowerPC mailing list, I deduce that the problem 
appeared in Debian Sid with the kernel 2.6.24.

Simon Valiquette





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Sat, 11 Jul 2009 13:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas <thomas.langewouters@thouters.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Jul 2009 13:36:02 GMT) Full text and rfc822 format available.

Message #179 received at 465278@bugs.debian.org (full text, mbox):

From: thomas <thomas.langewouters@thouters.be>
To: 465278@bugs.debian.org
Subject: Workaround
Date: Sat, 11 Jul 2009 15:30:44 +0200
Hi,

For whomever is interested, I just wrote a simple
workaround (why didn't I come up with this sooner...).

It involves a simple C program + libusb + apm script.

http://www.thouters.be/pub/stickies/zappletouch.c
-- 
Thomas Langewouters
www: http://www.thouters.be




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Sat, 18 Jul 2009 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Jul 2009 22:27:02 GMT) Full text and rfc822 format available.

Message #184 received at 465278@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Simon Valiquette <v.simon@ieee.org>
Cc: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Re: Appletouch failure upon resume after suspend2ram
Date: Sun, 19 Jul 2009 00:24:30 +0200
On Sun, Feb 01, 2009 at 07:30:55PM -0500, Simon Valiquette wrote:
> Severity 465278 grave
> 
>   By searching a little on mailing lists, I saw that someone
> reported that the problems might be related with this patch, or at
> least related with this part of the code, but nobody seems to have
> seriously looked at it:
> 
> http://www.linuxhq.com/kernel/v2.6/24/drivers/input/mouse/appletouch.c
> 
> http://www.mail-archive.com/debian-powerpc@lists.debian.org/msg59480.html
> 
>   From the Debian PowerPC mailing list, I deduce that the problem
> appeared in Debian Sid with the kernel 2.6.24.

Does this error still occur with more recent kernel versions, such
as the 2.6.30 kernel from unstable?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Tue, 08 Sep 2009 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Sep 2009 20:54:03 GMT) Full text and rfc822 format available.

Message #189 received at 465278@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Cc: Simon Valiquette <v.simon@ieee.org>, cyril.brulebois@enst-bretagne.fr, msp@debian.org, gaudenz@debian.org, thomas.constans@opendoor.fr, f_pedrini@tiscali.it, maarten@verwijs.org
Subject: Re: Appletouch failure upon resume after suspend2ram
Date: Tue, 8 Sep 2009 22:47:58 +0200
On Sun, Jul 19, 2009 at 12:24:30AM +0200, Moritz Muehlenhoff wrote:
> On Sun, Feb 01, 2009 at 07:30:55PM -0500, Simon Valiquette wrote:
> > Severity 465278 grave
> > 
> >   By searching a little on mailing lists, I saw that someone
> > reported that the problems might be related with this patch, or at
> > least related with this part of the code, but nobody seems to have
> > seriously looked at it:
> > 
> > http://www.linuxhq.com/kernel/v2.6/24/drivers/input/mouse/appletouch.c
> > 
> > http://www.mail-archive.com/debian-powerpc@lists.debian.org/msg59480.html
> > 
> >   From the Debian PowerPC mailing list, I deduce that the problem
> > appeared in Debian Sid with the kernel 2.6.24.
> 
> Does this error still occur with more recent kernel versions, such
> as the 2.6.30 kernel from unstable?

Adding a few more people from the bug log to CC.

Cheers,
       Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, debian-powerpc@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Thu, 24 Dec 2009 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-powerpc@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Dec 2009 08:21:04 GMT) Full text and rfc822 format available.

Message #194 received at 465278@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: appletouch failure still present with linux-image-2.6.32-trunk-powerpc
Date: Thu, 24 Dec 2009 19:17:52 +1100
Package: linux-2.6
Version: 2.6.32-1
Severity: normal

All,

I can confirm appletouch failure on resume is still an issue with current kernels.


Mark

-- Package-specific info:
** Version:
Linux version 2.6.32-trunk-powerpc (Debian 2.6.32-1) (waldi@debian.org) (gcc version 4.3.4 (Debian 4.3.4-6) ) #1 Mon Dec 7 20:54:08 UTC 2009

** Command line:
root=/dev/hda3 ro 

** Not tainted

** Kernel log:
[   89.923896] radeonfb 0000:00:10.0: restoring config space at offset 0x1 (was 0x2b00000, writing 0x2b00007)
[   89.923953] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x4 (was 0x0, writing 0x80084000)
[   89.923966] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x3 (was 0x0, writing 0x1000)
[   89.923979] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x1 (was 0x0, writing 0x6)
[   89.926085] ohci_hcd 0001:10:1b.0: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100002)
[   89.926131] ohci_hcd 0001:10:1b.1: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100002)
[   89.926178] ehci_hcd 0001:10:1b.2: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100012)
[   89.941872] radeonfb (0000:00:10.0): resuming from state: 2...
[   90.649704] agpgart-uninorth 0000:00:0b.0: putting AGP V2 device into 4x mode
[   90.649719] radeonfb 0000:00:10.0: putting AGP V2 device into 4x mode
[   91.833675] eth0: resuming
[   91.898014] PHY ID: 4061e4, addr: 0
[   93.162797] hda: host max PIO4 wanted PIO255(auto-tune) selected PIO4
[   93.167860] adb: starting probe task...
[   93.169840] hda: UDMA/100 mode selected
[   93.172562] hdc: host max PIO4 wanted PIO255(auto-tune) selected PIO4
[   93.172701] hdc: MWDMA2 mode selected
[   93.192932] adb devices: [2]: 2 c4 [7]: 7 1f
[   93.197909] ADB keyboard at 2, handler 1
[   93.197916] adb: finished probe task...
[   93.601673] b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
[   93.645236] Restarting tasks ... done.
[   94.222604] agpgart-uninorth 0000:00:0b.0: putting AGP V2 device into 4x mode
[   94.222620] radeonfb 0000:00:10.0: putting AGP V2 device into 4x mode
[   94.222729] [drm] Num pipes: 1
[  108.373268] PM: Syncing filesystems ... done.
[  108.710960] [drm] Num pipes: 1
[  109.035052] Freezing user space processes ... (elapsed 0.04 seconds) done.
[  109.078025] Freezing remaining freezable tasks ... (elapsed 0.61 seconds) done.
[  109.691113] Suspending console(s) (use no_console_suspend to debug)
[  109.730713] btusb_intr_complete: hci0 urb deadcb00 failed to resubmit (1)
[  109.731682] btusb_bulk_complete: hci0 urb deadc480 failed to resubmit (1)
[  109.732681] btusb_bulk_complete: hci0 urb deadcc80 failed to resubmit (1)
[  110.149261] eth0: suspending, WakeOnLan disabled
[  110.225768] radeonfb (0000:00:10.0): suspending for event: 2...
[  110.225829] agpgart-uninorth 0000:00:0b.0: disabling AGP on device 0000:00:10.0
[  110.225863] agpgart-uninorth 0000:00:0b.0: disabling AGP on bridge
[  110.725476] radeonfb 0000:00:10.0: restoring config space at offset 0xc (was 0x0, writing 0x90020001)
[  110.725497] radeonfb 0000:00:10.0: restoring config space at offset 0x6 (was 0x0, writing 0x90000000)
[  110.725510] radeonfb 0000:00:10.0: restoring config space at offset 0x5 (was 0x1, writing 0x401)
[  110.725522] radeonfb 0000:00:10.0: restoring config space at offset 0x4 (was 0x8, writing 0x98000008)
[  110.725534] radeonfb 0000:00:10.0: restoring config space at offset 0x3 (was 0x0, writing 0xff08)
[  110.725547] radeonfb 0000:00:10.0: restoring config space at offset 0x1 (was 0x2b00000, writing 0x2b00007)
[  110.725603] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x4 (was 0x0, writing 0x80084000)
[  110.725616] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x3 (was 0x0, writing 0x1000)
[  110.725630] b43-pci-bridge 0001:10:12.0: restoring config space at offset 0x1 (was 0x0, writing 0x6)
[  110.727734] ohci_hcd 0001:10:1b.0: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100002)
[  110.727780] ohci_hcd 0001:10:1b.1: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100002)
[  110.727826] ehci_hcd 0001:10:1b.2: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100012)
[  110.743508] radeonfb (0000:00:10.0): resuming from state: 2...
[  111.451338] agpgart-uninorth 0000:00:0b.0: putting AGP V2 device into 4x mode
[  111.451353] radeonfb 0000:00:10.0: putting AGP V2 device into 4x mode
[  112.635303] eth0: resuming
[  112.699648] PHY ID: 4061e4, addr: 0
[  114.857567] hda: host max PIO4 wanted PIO255(auto-tune) selected PIO4
[  114.862359] adb: starting probe task...
[  114.863318] hda: UDMA/100 mode selected
[  114.865972] hdc: host max PIO4 wanted PIO255(auto-tune) selected PIO4
[  114.866109] hdc: MWDMA2 mode selected
[  114.888174] adb devices: [2]: 2 c4 [7]: 7 1f
[  114.893168] ADB keyboard at 2, handler 1
[  114.893176] adb: finished probe task...
[  115.295310] b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
[  115.384058] Restarting tasks ... done.
[  116.067923] agpgart-uninorth 0000:00:0b.0: putting AGP V2 device into 4x mode
[  116.067944] radeonfb 0000:00:10.0: putting AGP V2 device into 4x mode
[  116.068091] [drm] Num pipes: 1
[  129.719406] hda: host max PIO4 wanted PIO0 selected PIO0
[  158.115395] usb 3-1: new low speed USB device using ohci_hcd and address 2
[  158.281504] usb 3-1: New USB device found, idVendor=04d9, idProduct=048e
[  158.281519] usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  158.281759] usb 3-1: configuration #1 chosen from 1 choice
[  158.303452] input: HID 04d9:048e as /devices/pci0001:10/0001:10:1b.0/usb3/3-1/3-1:1.0/input/input7
[  158.304204] generic-usb 0003:04D9:048E.0003: input,hidraw0: USB HID v1.10 Mouse [HID 04d9:048e] on usb-0001:10:1b.0-1/input0
[  172.687580] eth2: deauthenticating from 00:13:10:17:be:4d by local choice (reason=3)
[  172.689835] eth2: direct probe to AP 00:13:10:17:be:4d (try 1)
[  172.693801] eth2: direct probe responded
[  172.693815] eth2: authenticate with AP 00:13:10:17:be:4d (try 1)
[  172.695610] eth2: authenticated
[  172.695663] eth2: associate with AP 00:13:10:17:be:4d (try 1)
[  172.697523] eth2: RX AssocResp from 00:13:10:17:be:4d (capab=0x411 status=0 aid=3)
[  172.697534] eth2: associated
[  172.703739] ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
[  177.351805] usb 3-1: USB disconnect, address 2
[  179.167356] usb 4-1: new low speed USB device using ohci_hcd and address 2
[  179.329800] usb 4-1: New USB device found, idVendor=04d9, idProduct=048e
[  179.329817] usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  179.330089] usb 4-1: configuration #1 chosen from 1 choice
[  179.351936] input: HID 04d9:048e as /devices/pci0001:10/0001:10:1b.1/usb4/4-1/4-1:1.0/input/input8
[  179.352562] generic-usb 0003:04D9:048E.0004: input,hidraw0: USB HID v1.10 Mouse [HID 04d9:048e] on usb-0001:10:1b.1-1/input0
[  183.667301] eth2: no IPv6 routers present
[  239.988384] usbcore: deregistering interface driver appletouch
[  240.011135] input: appletouch disconnected
[  247.549354] appletouch: Failed to read mode from device.
[  247.549388] appletouch: probe of 2-2:1.0 failed with error -5
[  247.549440] usbcore: registered new interface driver appletouch
[  264.415576] usbcore: deregistering interface driver appletouch
[  271.394760] appletouch: Failed to read mode from device.
[  271.394806] appletouch: probe of 2-2:1.0 failed with error -5
[  271.394887] usbcore: registered new interface driver appletouch

** Model information
revision	: 1.2 (pvr 8003 0102)
platform	: PowerMac
model		: PowerBook6,7
machine		: PowerBook6,7
motherboard	: PowerBook6,7 MacRISC3 Power Macintosh 

** Loaded modules:
Module                  Size  Used by
appletouch             11881  0 
radeon                552649  2 
ttm                    37765  1 radeon
drm_kms_helper         23055  1 radeon
drm                   136751  5 radeon,ttm,drm_kms_helper
lp                     10975  0 
parport                32295  1 lp
sco                    11544  2 
bridge                 48855  0 
stp                     4885  1 bridge
bnep                   13750  2 
rfcomm                 37762  5 
l2cap                  32836  16 bnep,rfcomm
crc16                   4475  1 l2cap
cpufreq_ondemand       10789  0 
cpufreq_stats           5840  0 
cpufreq_powersave       4138  0 
cpufreq_userspace       5156  1 
cpufreq_conservative     8952  0 
fuse                   57705  1 
therm_adt746x          10387  0 
arc4                    4442  2 
ecb                     5353  2 
snd_aoa_codec_tas      13079  2 
snd_aoa_fabric_layout    12091  3 
snd_aoa                15580  2 snd_aoa_codec_tas,snd_aoa_fabric_layout
snd_aoa_i2sbus         20629  1 
snd_pcm_oss            41951  0 
snd_mixer_oss          19030  1 snd_pcm_oss
snd_pcm                65185  2 snd_aoa_i2sbus,snd_pcm_oss
snd_page_alloc          9041  1 snd_pcm
b43                   166194  0 
snd_seq_midi            8120  0 
btusb                  13724  2 
rng_core                6446  1 b43
snd_rawmidi            21007  1 snd_seq_midi
bluetooth              52362  9 sco,bnep,rfcomm,l2cap,btusb
snd_seq_midi_event      7956  1 snd_seq_midi
mac80211              153995  1 b43
snd_seq                51385  2 snd_seq_midi,snd_seq_midi_event
joydev                 12831  0 
snd_timer              20956  2 snd_pcm,snd_seq
snd_seq_device          8405  3 snd_seq_midi,snd_rawmidi,snd_seq
snd                    51899  17 snd_aoa_codec_tas,snd_aoa_fabric_layout,snd_aoa,snd_aoa_i2sbus,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore               7979  1 snd
ams                    10622  0 
cfg80211              117394  2 b43,mac80211
snd_aoa_soundbus        6669  2 snd_aoa_fabric_layout,snd_aoa_i2sbus
evdev                  11760  11 
input_polldev           5651  1 ams
rfkill                 17990  3 bluetooth,cfg80211
ext3                  124629  5 
jbd                    40843  1 ext3
mbcache                 8286  1 ext3
usbhid                 39348  0 
hid                    68145  1 usbhid
ohci_hcd               35264  0 
ssb                    44470  1 b43
ehci_hcd               42176  0 
pcmcia                 25655  2 b43,ssb
ide_cd_mod             28553  0 
sungem                 30857  0 
firewire_ohci          25976  0 
cdrom                  36699  1 ide_cd_mod
sungem_phy             12982  1 sungem
pcmcia_core            30623  3 b43,ssb,pcmcia
firewire_core          43978  1 firewire_ohci
crc_itu_t               4495  1 firewire_core
usbcore               125964  6 appletouch,btusb,usbhid,ohci_hcd,ehci_hcd
nls_base                8693  1 usbcore
uninorth_agp           10161  1 
agpgart                30156  3 ttm,drm,uninorth_agp
i2c_powermac            6651  0 

** PCI devices:
0000:00:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 AGP [106b:0034]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Capabilities: <access denied>
	Kernel driver in use: agpgart-uninorth
	Kernel modules: uninorth-agp

0000:00:10.0 VGA compatible controller [0300]: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56] (rev 80) (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc M11 NV [FireGL Mobility T2e] [1002:4e56]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 255 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 48
	Region 0: Memory at 98000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 0400 [size=256]
	Region 2: Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at 90020000 [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeonfb

0001:10:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 PCI [106b:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Kernel modules: uninorth-agp

0001:10:12.0 Network controller [0280]: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller [14e4:4318] (rev 02)
	Subsystem: Apple Computer Inc. Device [106b:4318]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at 80084000 (32-bit, non-prefetchable) [size=8K]
	Kernel driver in use: b43-pci-bridge
	Kernel modules: ssb

0001:10:17.0 Class [ff00]: Apple Computer Inc. KeyLargo/Intrepid Mac I/O [106b:003e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Region 0: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]
	Kernel driver in use: macio

0001:10:18.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 27
	Kernel modules: ohci-hcd

0001:10:19.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 28
	Kernel modules: ohci-hcd

0001:10:1a.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (750ns min, 21500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at 80083000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

0001:10:1b.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 63
	Region 0: Memory at 80082000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

0001:10:1b.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (250ns min, 10500ns max), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 63
	Region 0: Memory at 80081000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

0001:10:1b.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04) (prog-if 20 [EHCI])
	Subsystem: NEC Corporation USB 2.0 [1033:00e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 16 (4000ns min, 8500ns max), Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 63
	Region 0: Memory at 80080000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

0002:20:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth 2 Internal PCI [106b:0036]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 16, Cache Line Size: 32 bytes
	Kernel modules: uninorth-agp

0002:20:0d.0 Class [ff00]: Apple Computer Inc. UniNorth/Intrepid ATA/100 [106b:003b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin ? routed to IRQ 39
	Region 0: Memory at f5004000 (32-bit, non-prefetchable) [size=16K]
	Kernel driver in use: ide-pmac

0002:20:0e.0 FireWire (IEEE 1394) [0c00]: Apple Computer Inc. UniNorth 2 FireWire [106b:0031] (rev 81) (prog-if 10 [OHCI])
	Subsystem: Apple Computer Inc. iBook G4 2004 [106b:5811]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (3000ns min, 6000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

0002:20:0f.0 Ethernet controller [0200]: Apple Computer Inc. UniNorth 2 GMAC (Sun GEM) [106b:0032] (rev 80)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 16 (16000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: Memory at f5200000 (32-bit, non-prefetchable) [size=2M]
	Expansion ROM at f5100000 [disabled] [size=1M]
	Kernel driver in use: gem
	Kernel modules: sungem


** USB devices:
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 04d9:048e Holtek Semiconductor, Inc. 
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 05ac:8207 Apple, Inc. 
Bus 002 Device 003: ID 05ac:030b Apple, Inc. 
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-trunk-powerpc
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-trunk-powerpc depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.4     tools for generating an initramfs
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-trunk-powerpc recommends:
ii  firmware-linux-free           2.6.32-2   Binary firmware for various driver

Versions of packages linux-image-2.6.32-trunk-powerpc suggests:
pn  linux-doc-2.6.32              <none>     (no description available)
ii  mkvmlinuz                     35         create a kernel to boot a PowerPC 

Versions of packages linux-image-2.6.32-trunk-powerpc is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.22       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
* linux-image-2.6.32-trunk-powerpc/postinst/missing-firmware-2.6.32-trunk-powerpc:
  linux-image-2.6.32-trunk-powerpc/prerm/removing-running-kernel-2.6.32-trunk-powerpc: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-trunk-powerpc/postinst/bootloader-test-error-2.6.32-trunk-powerpc:
  linux-image-2.6.32-trunk-powerpc/postinst/bootloader-error-2.6.32-trunk-powerpc:
  linux-image-2.6.32-trunk-powerpc/prerm/would-invalidate-boot-loader-2.6.32-trunk-powerpc: true
  linux-image-2.6.32-trunk-powerpc/postinst/depmod-error-initrd-2.6.32-trunk-powerpc: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Tue, 09 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #199 received at 465278@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Mark Purcell <msp@debian.org>
Cc: Debian Bug Tracking System <465278@bugs.debian.org>
Subject: Re: appletouch failure still present with linux-image-2.6.32-trunk-powerpc
Date: Tue, 9 Feb 2010 23:59:20 +0100
Mark Purcell wrote:

> Package: linux-2.6
> Version: 2.6.32-1
> Severity: normal
> 
> All,
> 
> I can confirm appletouch failure on resume is still an issue with current kernels.

Please report this bug upstream at the upstream bugzilla
(http://bugzilla.kernel.org), so that it can be investigated/
fixed upstream and backported for Squeeze.
(Product: Drivers, Component: Input Devices)

Once done, please add the bug number to this bug.

(We're asking you to file the bug report yourself, since the
kernel.org developers will have specific inquiries to your
hardware/setup)

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#465278; Package linux-2.6. (Sat, 29 May 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 May 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #204 received at 465278@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 465278@bugs.debian.org
Cc: Mark Purcell <msp@debian.org>
Subject: Re: appletouch failure still present with linux-image-2.6.32-trunk-powerpc
Date: Sat, 29 May 2010 18:32:06 +0200
On Tue, Feb 09, 2010 at 11:59:20PM +0100, Moritz Muehlenhoff wrote:
> Mark Purcell wrote:
> 
> > Package: linux-2.6
> > Version: 2.6.32-1
> > Severity: normal
> > 
> > All,
> > 
> > I can confirm appletouch failure on resume is still an issue with current kernels.
> 
> Please report this bug upstream at the upstream bugzilla
> (http://bugzilla.kernel.org), so that it can be investigated/
> fixed upstream and backported for Squeeze.
> (Product: Drivers, Component: Input Devices)
> 
> Once done, please add the bug number to this bug.
> 
> (We're asking you to file the bug report yourself, since the
> kernel.org developers will have specific inquiries to your
> hardware/setup)

Did you report this upstream?

Cheers,
        Moritz




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 24 Nov 2010 02:30:03 GMT) Full text and rfc822 format available.

Message sent on to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#465278. (Wed, 24 Nov 2010 02:30:05 GMT) Full text and rfc822 format available.

Message #209 received at 465278-submitter@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 465278-submitter@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Mark Purcell <msp@debian.org>
Subject: Re: appletouch failure still present with linux-image-2.6.32-trunk-powerpc
Date: Tue, 23 Nov 2010 20:27:02 -0600
tags 465278 + upstream
quit

Hi,

Cyril Brulebois wrote:

> I've been experiencing troubles with the appletouch driver on my iBook
> G4 (last series) after resuming from a suspend2ram. With previous kernel
> versions (all of them being Debian kernels), it was at least possible to
> modprobe -r and modprobe it back, getting back to a functional driver
> (even if restarting X was sometimes needed to get back synaptics
> features, like tapping). Now, it's no longer possible to reload the
> driver:
> 
> sudo modprobe -r appletouch
> | Feb 11 17:04:48 evy kernel: usbcore: deregistering interface driver appletouch sudo modprobe appletouch
> | Feb 11 17:04:52 evy kernel: drivers/input/mouse/appletouch.c: Could not do mode read request from device (Geyser Raw mode)
> | Feb 11 17:04:52 evy kernel: appletouch: probe of 1-2:1.0 failed with error -12
> | Feb 11 17:04:52 evy kernel: usbcore: registered new interface driver appletouch

For the record, all I can find in a quick search of upstream channels is

 https://bugzilla.kernel.org/show_bug.cgi?id=10825
 http://thread.gmane.org/gmane.linux.kernel/725654/focus=725687
 v2.6.26-rc7~21^2 (Input: appletouch - implement reset-resume
 logic, 2008-06-17)?

none of which would seem to explain this.




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 08:45:15 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug acknowledged by developer. (Tue, 31 May 2011 08:45:15 GMT) Full text and rfc822 format available.

Message #214 received at 465278-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 465278-done@bugs.debian.org
Subject: Re: Bug#465278: linux-image-2.6.24-1-powerpc: appletouch failure upon resume after suspend2ram
Date: Tue, 31 May 2011 10:41:18 +0200
[Message part 1 (text/plain, inline)]
Version: 2.6.39-1

Sorry for the lack of replies, the mail redirection apparently got
killed with no notice…

Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> (11/02/2008):
> I've been experiencing troubles with the appletouch driver on my
> iBook G4 (last series) after resuming from a suspend2ram. With
> previous kernel versions (all of them being Debian kernels), it was
> at least possible to modprobe -r and modprobe it back, getting back
> to a functional driver (even if restarting X was sometimes needed to
> get back synaptics features, like tapping). Now, it's no longer
> possible to reload the driver: […]

After a long while, I powered that machine on again, and it's been
working fine for weeks now (except for the xfs bugs in 2.6.39-rc*,
now fixed in 2.6.39).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:39:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:27:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.